searchNodes=[{"ref":"SSHKit.html","title":"SSHKit","type":"module","doc":"A toolkit for performing tasks on one or more servers. hosts = [&quot;1.eg.io&quot;, {&quot;2.eg.io&quot;, port: 2222}] context = SSHKit.context(hosts) |&gt; SSHKit.path(&quot;/var/www/phx&quot;) |&gt; SSHKit.user(&quot;deploy&quot;) |&gt; SSHKit.group(&quot;deploy&quot;) |&gt; SSHKit.umask(&quot;022&quot;) |&gt; SSHKit.env(%{&quot;NODE_ENV&quot; =&gt; &quot;production&quot;}) [:ok, :ok] = SSHKit.upload(context, &quot;.&quot;, recursive: true) [{:ok, _, 0}, {:ok, _, 0}] = SSHKit.run(context, &quot;yarn install&quot;, mode: :parallel)"},{"ref":"SSHKit.html#context/2","title":"SSHKit.context/2","type":"function","doc":"Takes one or more (remote) hosts and creates an execution context in which remote commands can be run. Accepts any form of host specification also accepted by host/1 and host/2, i.e. binaries, maps and 2-tuples. See path/2, user/2, group/2, umask/2, and env/2 for details on how to derive variations of a context. Example Create an execution context for two hosts. Commands issued in this context will be executed on both hosts. hosts = [&quot;10.0.0.1&quot;, &quot;10.0.0.2&quot;] context = SSHKit.context(hosts) Create a context for hosts with different connection options: hosts = [{&quot;10.0.0.3&quot;, port: 2223}, %{name: &quot;10.0.0.4&quot;, options: [port: 2224]}] context = SSHKit.context(hosts) Any shared options can be specified in the second argument. Here we add a user and port for all hosts. hosts = [&quot;10.0.0.1&quot;, &quot;10.0.0.2&quot;] options = [user: &quot;admin&quot;, port: 2222] context = SSHKit.context(hosts, options)"},{"ref":"SSHKit.html#download/3","title":"SSHKit.download/3","type":"function","doc":"Download a file or files from the given context. Returns a list of :ok or {:error, reason} - one for each host. Possible options are: as: &quot;local.txt&quot; - specify the name of the downloaded file/directory all options accepted by SSHKit.SCP.Download.transfer/4 Examples Download all files and folders in context directory to current working directory: [:ok] = &quot;example.io&quot; |&gt; SSHKit.context() |&gt; SSHKit.path(&quot;/workspace&quot;) |&gt; SSHKit.download(&quot;.&quot;, recursive: true) Download a file to a different local name: [:ok] = &quot;example.io&quot; |&gt; SSHKit.context() |&gt; SSHKit.download(&quot;remote.txt&quot;, as: &quot;local.txt&quot;)"},{"ref":"SSHKit.html#env/2","title":"SSHKit.env/2","type":"function","doc":"Defines new environment variables or overrides existing ones for a given context. Returns a new, derived context for easy chaining. Examples Setting NODE_ENV=production: context = &quot;10.0.0.1&quot; |&gt; SSHKit.context() |&gt; SSHKit.env(%{&quot;NODE_ENV&quot; =&gt; &quot;production&quot;}) # Run the npm start script with NODE_ENV=production SSHKit.run(context, &quot;npm start&quot;) Modifying the PATH: context = &quot;10.0.0.1&quot; |&gt; SSHKit.context() |&gt; SSHKit.env(%{&quot;PATH&quot; =&gt; &quot;$HOME/.rbenv/shims:$PATH&quot;}) # Execute the rbenv-installed ruby to print its version SSHKit.run(context, &quot;ruby --version&quot;)"},{"ref":"SSHKit.html#group/2","title":"SSHKit.group/2","type":"function","doc":"Specifies the group commands are executed with. Returns a new, derived context for easy chaining. Example All commands executed in the created context will run in group www: context = &quot;10.0.0.1&quot; |&gt; SSHKit.context() |&gt; SSHKit.group(&quot;www&quot;)"},{"ref":"SSHKit.html#host/1","title":"SSHKit.host/1","type":"function","doc":"Produces an SSHKit.Host struct holding the information needed to connect to a (remote) host. Examples You can pass a map with hostname and options: host = SSHKit.host(%{name: &quot;name.io&quot;, options: [port: 2222]}) # This means, that if you pass in a host struct, # you&#39;ll get the same result. In particular: host == SSHKit.host(host) …or, alternatively, a tuple with hostname and options: host = SSHKit.host({&quot;name.io&quot;, port: 2222}) See host/2 for additional details and examples."},{"ref":"SSHKit.html#host/2","title":"SSHKit.host/2","type":"function","doc":"Produces an SSHKit.Host struct holding the information needed to connect to a (remote) host. Examples In its most basic version, you just pass a hostname and all other options will use the defaults: host = SSHKit.host(&quot;name.io&quot;) If you wish to provide additional host options, e.g. a non-standard port, you can pass a keyword list as the second argument: host = SSHKit.host(&quot;name.io&quot;, port: 2222) One or many of these hosts can then be used to create an execution context in which commands can be executed: host |&gt; SSHKit.context() |&gt; SSHKit.run(&quot;echo &quot;That was fun&quot;&quot;) See host/1 for additional ways of specifying host details."},{"ref":"SSHKit.html#path/2","title":"SSHKit.path/2","type":"function","doc":"Changes the working directory commands are executed in for the given context. Returns a new, derived context for easy chaining. Example Create /var/www/app/config.json: &quot;10.0.0.1&quot; |&gt; SSHKit.context() |&gt; SSHKit.path(&quot;/var/www/app&quot;) |&gt; SSHKit.run(&quot;touch config.json&quot;)"},{"ref":"SSHKit.html#run/2","title":"SSHKit.run/2","type":"function","doc":"Executes a command in the given context. Returns a list of tuples, one fore each host in the context. The resulting tuples have the form {:ok, output, exit_code} – as returned by SSHKit.SSH.run/3: exit_code is the number with which the executed command returned. If everything went well, that usually is 0. output is a keyword list of the output collected from the command. It has the form: [ stdout: &quot;output on standard out&quot;, stderr: &quot;output on standard error&quot;, stdout: &quot;some more normal output&quot;, … ] Example Run a command and verify its output: [{:ok, output, 0}] = &quot;example.io&quot; |&gt; SSHKit.context() |&gt; SSHKit.run(&quot;echo \\&quot;Hello World!\\&quot;&quot;) stdout = output |&gt; Keyword.get_values(:stdout) |&gt; Enum.join() assert &quot;Hello World!\\n&quot; == stdout"},{"ref":"SSHKit.html#umask/2","title":"SSHKit.umask/2","type":"function","doc":"Changes the file creation mode mask affecting default file and directory permissions. Returns a new, derived context for easy chaining. Example Create precious.txt, readable and writable only for the logged-in user: &quot;10.0.0.1&quot; |&gt; SSHKit.context() |&gt; SSHKit.umask(&quot;077&quot;) |&gt; SSHKit.run(&quot;touch precious.txt&quot;)"},{"ref":"SSHKit.html#upload/3","title":"SSHKit.upload/3","type":"function","doc":"Upload a file or files to the given context. Returns a list of :ok or {:error, reason} - one for each host. Possible options are: as: &quot;remote.txt&quot; - specify the name of the uploaded file/directory all options accepted by SSHKit.SCP.Upload.transfer/4 Examples Upload all files and folders in current directory to &quot;/workspace&quot;: [:ok] = &quot;example.io&quot; |&gt; SSHKit.context() |&gt; SSHKit.path(&quot;/workspace&quot;) |&gt; SSHKit.upload(&quot;.&quot;, recursive: true) Upload a file to a different name on the remote host: [:ok] = &quot;example.io&quot; |&gt; SSHKit.context() |&gt; SSHKit.upload(&quot;local.txt&quot;, as: &quot;remote.txt&quot;)"},{"ref":"SSHKit.html#user/2","title":"SSHKit.user/2","type":"function","doc":"Specifies the user under whose name commands are executed. That user might be different than the user with which ssh connects to the remote host. Returns a new, derived context for easy chaining. Example All commands executed in the created context will run as deploy_user, although we use the login_user to log in to the remote host: context = {&quot;10.0.0.1&quot;, port: 3000, user: &quot;login_user&quot;, password: &quot;secret&quot;} |&gt; SSHKit.context() |&gt; SSHKit.user(&quot;deploy_user&quot;)"},{"ref":"SSHKit.Context.html","title":"SSHKit.Context","type":"module","doc":"A context encapsulates the environment for the execution of a task. That is: hosts to run the task on, see SSHKit.context/2 working directory to start in, see SSHKit.path/2 user to run as, see SSHKit.user/2 group, see SSHKit.group/2 file creation mode mask, see SSHKit.umask/2 environment variables, see SSHKit.env/2 A context can then be used to run commands, upload or download files: See SSHKit.run/2, SSHKit.upload/3 and SSHKit.download/3."},{"ref":"SSHKit.Context.html#build/2","title":"SSHKit.Context.build/2","type":"function","doc":"Compiles an executable command string for running the given command in the provided context. Examples iex&gt; %SSHKit.Context{path: &quot;/var/www&quot;} |&gt; SSHKit.Context.build(&quot;ls&quot;) &quot;cd /var/www &amp;&amp; /usr/bin/env ls&quot; iex&gt; %SSHKit.Context{user: &quot;me&quot;} |&gt; SSHKit.Context.build(&quot;whoami&quot;) &quot;sudo -H -n -u me -- sh -c &#39;/usr/bin/env whoami&#39;&quot;"},{"ref":"SSHKit.Host.html","title":"SSHKit.Host","type":"module","doc":"Provides the data structure holding the information about how to connect to a host. Examples %SSHKit.Host{name: &quot;3.eg.io&quot;, options: [port: 2223]} |&gt; SSHKit.context() |&gt; SSHKit.run(&quot;touch base&quot;)"},{"ref":"SSHKit.SCP.html","title":"SSHKit.SCP","type":"module","doc":"Provides convenience functions for transferring files or directory trees to or from a remote host via SCP. Built on top of SSHKit.SSH. Common options These options are available for both uploads and downloads: :verbose - let the remote scp process be verbose, default false :recursive - set to true for copying directories, default false :preserve - preserve timestamps, default false :timeout - timeout in milliseconds, default :infinity Examples {:ok, conn} = SSHKit.SSH.connect(&quot;eg.io&quot;, user: &quot;me&quot;) :ok = SSHKit.SCP.upload(conn, &quot;.&quot;, &quot;/home/code/phx&quot;, recursive: true) :ok = SSHKit.SSH.close(conn)"},{"ref":"SSHKit.SCP.html#download/4","title":"SSHKit.SCP.download/4","type":"function","doc":"Downloads a file or directory from a remote host. Options See SSHKit.SCP.Download.transfer/4. Example :ok = SSHKit.SCP.download(conn, &quot;/home/code/sshkit&quot;, &quot;downloads&quot;, recursive: true)"},{"ref":"SSHKit.SCP.html#upload/4","title":"SSHKit.SCP.upload/4","type":"function","doc":"Uploads a local file or directory to a remote host. Options See SSHKit.SCP.Upload.transfer/4. Example :ok = SSHKit.SCP.upload(conn, &quot;.&quot;, &quot;/home/code/sshkit&quot;, recursive: true)"},{"ref":"SSHKit.SSH.html","title":"SSHKit.SSH","type":"behaviour","doc":"Provides convenience functions for working with SSH connections and executing commands on remote hosts. Examples {:ok, conn} = SSHKit.SSH.connect(&quot;eg.io&quot;, user: &quot;me&quot;) {:ok, output, status} = SSHKit.SSH.run(conn, &quot;uptime&quot;) :ok = SSHKit.SSH.close(conn) Enum.each(output, fn {:stdout, data} -&gt; IO.write(data) {:stderr, data} -&gt; IO.write([IO.ANSI.red, data, IO.ANSI.reset]) end) IO.puts(&quot;$?: \#{status}&quot;)"},{"ref":"SSHKit.SSH.html#close/1","title":"SSHKit.SSH.close/1","type":"function","doc":""},{"ref":"SSHKit.SSH.html#c:close/1","title":"SSHKit.SSH.close/1","type":"callback","doc":"Closes an SSH connection. Uses SSHKit.SSH.Connection.close/1 to close the connection. Example :ok = SSHKit.SSH.close(conn)"},{"ref":"SSHKit.SSH.html#connect/2","title":"SSHKit.SSH.connect/2","type":"function","doc":""},{"ref":"SSHKit.SSH.html#c:connect/2","title":"SSHKit.SSH.connect/2","type":"callback","doc":"Establishes a connection to an SSH server. Uses SSHKit.SSH.Connection.open/2 to open a connection. options_or_function can either be a list of options or a function. If it is a list, it is considered to be a list of options as described in SSHKit.SSH.Connection.open/2. If it is a function, then it is equivalent to calling connect(host, [], options_or_function). See the documentation for connect/3 for more information on this function. Example {:ok, conn} = SSHKit.SSH.connect(&quot;eg.io&quot;, port: 2222, user: &quot;me&quot;, timeout: 1000)"},{"ref":"SSHKit.SSH.html#connect/3","title":"SSHKit.SSH.connect/3","type":"function","doc":"Similar to connect/2 but expects a function as its last argument. The connection is opened, given to the function as an argument and automatically closed after the function returns, regardless of any errors raised while executing the function. Returns {:ok, function_result} in case of success, {:error, reason} otherwise. Examples SSH.connect(&quot;eg.io&quot;, port: 2222, user: &quot;me&quot;, fn conn -&gt; SCP.upload(conn, &quot;list.txt&quot;) end) See SSHKit.SSH.Connection.open/2 for the list of available options."},{"ref":"SSHKit.SSH.html#run/3","title":"SSHKit.SSH.run/3","type":"function","doc":""},{"ref":"SSHKit.SSH.html#c:run/3","title":"SSHKit.SSH.run/3","type":"callback","doc":"Executes a command on the remote and aggregates incoming messages. Using the default handler, returns {:ok, output, status} or {:error, reason}. By default, command output is captured into a list of tuples of the form {:stdout, data} or {:stderr, data}. A custom handler function can be provided to handle channel messages. For further details on handling incoming messages, see SSHKit.SSH.Channel.loop/4. Options :timeout - maximum wait time between messages, defaults to :infinity :fun - handler function passed to SSHKit.SSH.Channel.loop/4 :acc - initial accumulator value used in the loop Any other options will be passed on to SSHKit.SSH.Channel.open/2 when creating the channel for executing the command. Example {:ok, output, status} = SSHKit.SSH.run(conn, &quot;uptime&quot;) IO.inspect(output)"},{"ref":"SSHKit.SSH.Channel.html","title":"SSHKit.SSH.Channel","type":"module","doc":"Defines a SSHKit.SSH.Channel struct representing a connection channel. A channel struct has the following fields: connection - the underlying SSHKit.SSH.Connection type - the type of the channel, i.e. :session id - the unique channel id"},{"ref":"SSHKit.SSH.Channel.html#adjust/2","title":"SSHKit.SSH.Channel.adjust/2","type":"function","doc":"Adjusts the flow control window. Returns :ok. For more details, see :ssh_connection.adjust_window/3."},{"ref":"SSHKit.SSH.Channel.html#close/1","title":"SSHKit.SSH.Channel.close/1","type":"function","doc":"Closes an SSH channel. Returns :ok. For more details, see :ssh_connection.close/2."},{"ref":"SSHKit.SSH.Channel.html#eof/1","title":"SSHKit.SSH.Channel.eof/1","type":"function","doc":"Sends an EOF message on an open SSH channel. Returns :ok or {:error, :closed}. For more details, see :ssh_connection.send_eof/2."},{"ref":"SSHKit.SSH.Channel.html#exec/3","title":"SSHKit.SSH.Channel.exec/3","type":"function","doc":"Executes a command on the remote host. Returns :success, :failure or {:error, reason}. For more details, see :ssh_connection.exec/4. Processing channel messages loop/4 may be used to process any channel messages received as a result of executing command on the remote."},{"ref":"SSHKit.SSH.Channel.html#flush/2","title":"SSHKit.SSH.Channel.flush/2","type":"function","doc":"Flushes any pending messages for the given channel. Returns :ok."},{"ref":"SSHKit.SSH.Channel.html#loop/4","title":"SSHKit.SSH.Channel.loop/4","type":"function","doc":"Loops over channel messages until the channel is closed, or looping is stopped explicitly. Expects an accumulator on each call that determines how to proceed: {:cont, acc} The loop will wait for an inbound message. It will then pass the message and current acc to the looping function. fun&#39;s return value is the accumulator for the next cycle. {:cont, message, acc} Sends a message to the remote end of the channel before waiting for a message as outlined in the {:cont, acc} case above. message may be one of the following: {0, data} or {1, data} - sends normal or stderr data to the remote data - is a shortcut for {0, data} :eof - sends EOF {:halt, acc} Terminates the loop, returning {:halted, acc}. {:suspend, acc} Suspends the loop, returning {:suspended, acc, continuation}. continuation is a function that accepts a new accumulator value and that, when called, will resume the loop. timeout specifies the maximum wait time for receiving and sending individual messages. Once the final {:closed, channel} message is received, the loop will terminate and return {:done, acc}. The channel will be closed if it has not been closed before."},{"ref":"SSHKit.SSH.Channel.html#open/2","title":"SSHKit.SSH.Channel.open/2","type":"function","doc":"Opens a channel on an SSH connection. On success, returns {:ok, channel}, where channel is a Channel struct. Returns {:error, reason} if a failure occurs. For more details, see :ssh_connection.session_channel/4. Options :timeout - defaults to :infinity :initial_window_size - defaults to 128 KiB :max_packet_size - defaults to 32 KiB"},{"ref":"SSHKit.SSH.Channel.html#ptty/3","title":"SSHKit.SSH.Channel.ptty/3","type":"function","doc":"Allocates PTTY. Returns :success. For more details, see :ssh_connection.ptty_alloc/4."},{"ref":"SSHKit.SSH.Channel.html#recv/2","title":"SSHKit.SSH.Channel.recv/2","type":"function","doc":"Receive the next message on an open SSH channel. Returns {:ok, message} or {:error, :timeout}. Only listens to messages from the channel specified as the first argument. Messages The message tuples returned by recv/3 correspond to the underlying Erlang channel messages with the channel id replaced by the SSHKit channel struct: {:data, channel, type, data} {:eof, channel} {:exit_signal, channel, signal, msg, lang} {:exit_status, channel, status} {:closed, channel} For more details, see :ssh_connection."},{"ref":"SSHKit.SSH.Channel.html#send/4","title":"SSHKit.SSH.Channel.send/4","type":"function","doc":"Sends data across an open SSH channel. data may be an enumerable, e.g. a File.Stream or IO.Stream. Returns :ok, {:error, :timeout} or {:error, :closed}. For more details, see :ssh_connection.send/5."},{"ref":"SSHKit.SSH.Channel.html#subsystem/3","title":"SSHKit.SSH.Channel.subsystem/3","type":"function","doc":"Activates a subsystem on a channel. Returns :success, :failure or {:error, reason}. For more details, see :ssh_connection.subsystem/4."},{"ref":"SSHKit.SSH.Connection.html","title":"SSHKit.SSH.Connection","type":"module","doc":"Defines a SSHKit.SSH.Connection struct representing a host connection. A connection struct has the following fields: host - the name or IP of the remote host port - the port to connect to options - additional connection options ref - the underlying :ssh connection ref"},{"ref":"SSHKit.SSH.Connection.html#close/1","title":"SSHKit.SSH.Connection.close/1","type":"function","doc":"Closes an SSH connection. Returns :ok. For details, see :ssh.close/1."},{"ref":"SSHKit.SSH.Connection.html#open/2","title":"SSHKit.SSH.Connection.open/2","type":"function","doc":"Opens a connection to an SSH server. The following options are allowed: :timeout: A timeout in ms after which a command is aborted. Defaults to :infinity. :port: The remote-port to connect to. Defaults to 22. :user: The username with which to connect. Defaults to `$LOGNAME` or `$USER` on UNIX, or `$USERNAME` on Windows. :password: The password to login with. :user_interaction: Defaults to false. For a complete list of options and their default values, see: :ssh.connect/4. Returns {:ok, conn} on success, {:error, reason} otherwise."},{"ref":"SSHKit.SSH.Connection.html#reopen/2","title":"SSHKit.SSH.Connection.reopen/2","type":"function","doc":"Opens a new connection, based on the parameters of an existing one. The timeout value of the original connection is discarded. Other connection options are reused and may be overridden. Uses SSHKit.SSH.open/2. Returns {:ok, conn} or {:error, reason}."},{"ref":"SSHKit.SSH.Connection.html#t:t/0","title":"SSHKit.SSH.Connection.t/0","type":"type","doc":""},{"ref":"readme.html","title":"SSHKit","type":"extras","doc":"SSHKit SSHKit is an Elixir toolkit for performing tasks on one or more servers, built on top of Erlang’s SSH application. Documentation for SSHKit is available online."},{"ref":"readme.html#usage","title":"SSHKit - Usage","type":"extras","doc":"SSHKit is designed to enable server task automation in a structured and repeatable way, e.g. in the context of deployment tools: hosts = [&quot;1.eg.io&quot;, {&quot;2.eg.io&quot;, port: 2222}] context = SSHKit.context(hosts) |&gt; SSHKit.path(&quot;/var/www/phx&quot;) |&gt; SSHKit.user(&quot;deploy&quot;) |&gt; SSHKit.group(&quot;deploy&quot;) |&gt; SSHKit.umask(&quot;022&quot;) |&gt; SSHKit.env(%{&quot;NODE_ENV&quot; =&gt; &quot;production&quot;}) [:ok, :ok] = SSHKit.upload(context, &quot;.&quot;, recursive: true) [{:ok, _, 0}, {:ok, _, 0}] = SSHKit.run(context, &quot;yarn install&quot;) The SSHKit module documentation has more guidance and examples for the DSL. If you need more control, take a look at the SSHKit.SSH and SSHKit.SCP modules."},{"ref":"readme.html#installation","title":"SSHKit - Installation","type":"extras","doc":"Just add sshkit to your list of dependencies in mix.exs: def deps do [{:sshkit, &quot;~&gt; 0.1&quot;}] end SSHKit should be automatically started unless the :applications key is set inside def application in your mix.exs. In such cases, you need to remove the :applications key in favor of :extra_applications."},{"ref":"readme.html#modules","title":"SSHKit - Modules","type":"extras","doc":"SSHKit consists of three core modules: +--------------------+ | SSHKit | +--------------------+ | | SSHKit.SCP | | +------------+ | SSHKit.SSH | +--------------------+ SSHKit.SSH provides convenience functions for working with SSH connections and for executing commands on remote hosts. SSHKit.SCP provides convenience functions for transferring files or entire directory trees to or from a remote host via SCP. It is built on top of SSHKit.SSH. SSHKit provides the main API for automating tasks on remote hosts in a structured way. It uses both SSH and SCP to implement its functionality. Additional modules, e.g. for custom client key handling, are available as separate packages: ssh_client_key_api: An Elixir implementation for the Erlang ssh_client_key_api behavior, to make it easier to specify SSH keys and known_hosts files independently of any particular user&#39;s home directory."},{"ref":"readme.html#testing","title":"SSHKit - Testing","type":"extras","doc":"As usual, to run all tests, use: mix test Apart from unit tests, we also have functional tests. These check SSHKit functionality against real SSH server implementations running inside Docker containers. Therefore, you need to have Docker installed. All functional tests are tagged as such. Hence, if you wish to skip them: mix test --exclude functional Hint: We&#39;ve found functional tests to run significantly faster with Docker Machine compared to Docker for Mac on OS X."},{"ref":"readme.html#releasing","title":"SSHKit - Releasing","type":"extras","doc":"Make sure tests pass: mix test. Increase version number in mix.exs, keeping semantic versioning in mind. Update CHANGLOG.md: Create a new section for the current version. Reset the master section to the empty template. Commit your changes: git commit -m &quot;Release 0.1.0&quot;. Tag the commit with the version number: git tag -a v0.1.0. Annotate the tag with the respective section from CHANGLOG.md (in a git-compatible format). Push your commit: git push. Push the tag: git push origin v0.1.0 Publish the new release to hex.pm: mix hex.publish. You can find the hex.pm credentials in the bitcrowd password store."},{"ref":"readme.html#contributing","title":"SSHKit - Contributing","type":"extras","doc":"We welcome everyone to contribute to SSHKit and help us tackle existing issues! Use the issue tracker for bug reports or feature requests. Open a pull request when you are ready to contribute. If you are planning to contribute documentation, please check the best practices for writing documentation."},{"ref":"readme.html#thanks","title":"SSHKit - Thanks","type":"extras","doc":"SSHKit is inspired by SSHKit for Ruby which is part of the fantastic Capistrano project. It deliberately departs from its role model with regard to its API given the very different nature of the two programming languages. If you are looking for an Elixir deployment tool similar to Capistrano, take a look at Bootleg which is based on top of SSHKit."},{"ref":"readme.html#license","title":"SSHKit - License","type":"extras","doc":"SSHKit source code is released under the MIT License. Check the LICENSE file for more information."}]